import request from '@/utils/request'

// 查询告警配置管理列表
export function listAlarmConfig(query) {
  return request({
    url: '/hnyz/alarmConfig/list',
    method: 'get',
    params: query
  })
}

// 查询告警配置管理详细
export function getAlarmConfig(configId) {
  return request({
    url: '/hnyz/alarmConfig/' + configId,
    method: 'get'
  })
}

// 新增告警配置管理
export function addAlarmConfig(data) {
  return request({
    url: '/hnyz/alarmConfig',
    method: 'post',
    data: data
  })
}

// 修改告警配置管理
export function updateAlarmConfig(data) {
  return request({
    url: '/hnyz/alarmConfig',
    method: 'put',
    data: data
  })
}

// 删除告警配置管理
export function delAlarmConfig(configId) {
  return request({
    url: '/hnyz/alarmConfig/' + configId,
    method: 'delete'
  })
}
